classification
Title: Suggested edit to Python Tutorial - Section 4
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: boris, docs@python, eric.smith, lrnormie@gmail.com, miss-islington, umoqnier
Priority: normal Keywords: newcomer friendly, patch

Created on 2019-08-21 11:28 by lrnormie@gmail.com, last changed 2019-09-24 06:41 by boris. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 16169 merged umoqnier, 2019-09-15 22:05
PR 16234 merged miss-islington, 2019-09-17 16:58
PR 16235 merged miss-islington, 2019-09-17 16:58
PR 16236 merged miss-islington, 2019-09-17 16:58
Messages (8)
msg350068 - (view) Author: Lawrence R. Normie (lrnormie@gmail.com) Date: 2019-08-21 11:28
Suggest amending the text of the first sentence in Section 4, from:

"Besides the while statement just introduced, Python knows the usual control flow statements known from other languages, with some twists."

to:

Besides the while statement just introduced, Python follows the usual syntax fir control flow statements known from other languages, with some twists."
msg350069 - (view) Author: Eric V. Smith (eric.smith) * (Python committer) Date: 2019-08-21 11:34
I think I'd prefer "... Python uses the usual flow control statements known from other languages ..."

It's not just syntax, after all.
msg352493 - (view) Author: Diego Barriga (umoqnier) * Date: 2019-09-15 20:33
I'm interest on this for my first contribution :D
msg352653 - (view) Author: miss-islington (miss-islington) Date: 2019-09-17 16:58
New changeset b57481318e3e3cbacd398b898f9849ec8f2d7eec by Miss Islington (bot) (Diego Alberto Barriga Martínez) in branch 'master':
bpo-37904: Edition on python tutorial - section 4 (GH-16169)
https://github.com/python/cpython/commit/b57481318e3e3cbacd398b898f9849ec8f2d7eec
msg352713 - (view) Author: Eric V. Smith (eric.smith) * (Python committer) Date: 2019-09-18 10:36
New changeset 7a2f68776a77c782c0abf40dc9e3fb687787e730 by Eric V. Smith (Miss Islington (bot)) in branch '3.8':
bpo-37904: Edition on python tutorial - section 4 (GH-16169) (GH-16234)
https://github.com/python/cpython/commit/7a2f68776a77c782c0abf40dc9e3fb687787e730
msg352714 - (view) Author: Eric V. Smith (eric.smith) * (Python committer) Date: 2019-09-18 10:36
New changeset 8b907a8875d1b22d8f060dee9430cc82d471e86b by Eric V. Smith (Miss Islington (bot)) in branch '3.7':
bpo-37904: Edition on python tutorial - section 4 (GH-16169) (GH-16235)
https://github.com/python/cpython/commit/8b907a8875d1b22d8f060dee9430cc82d471e86b
msg352715 - (view) Author: Eric V. Smith (eric.smith) * (Python committer) Date: 2019-09-18 10:37
New changeset c47c8ba2969c9faf1c036b3dc4b0a5cf0d3aa0cc by Eric V. Smith (Miss Islington (bot)) in branch '2.7':
bpo-37904: Edition on python tutorial - section 4 (GH-16169) (GH-16236)
https://github.com/python/cpython/commit/c47c8ba2969c9faf1c036b3dc4b0a5cf0d3aa0cc
msg353059 - (view) Author: Борис Верховский (boris) * Date: 2019-09-24 06:41
You changed "control flow statements" to "flow control statements", which is an unrelated concept.
History
Date User Action Args
2019-09-24 06:41:40borissetnosy: + boris
messages: + msg353059
2019-09-18 10:37:37eric.smithsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-09-18 10:37:00eric.smithsetmessages: + msg352715
2019-09-18 10:36:38eric.smithsetmessages: + msg352714
2019-09-18 10:36:29eric.smithsetmessages: + msg352713
2019-09-17 16:58:25miss-islingtonsetpull_requests: + pull_request15833
2019-09-17 16:58:18miss-islingtonsetpull_requests: + pull_request15832
2019-09-17 16:58:12miss-islingtonsetpull_requests: + pull_request15831
2019-09-17 16:58:01miss-islingtonsetnosy: + miss-islington
messages: + msg352653
2019-09-15 22:05:31umoqniersetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request15779
2019-09-15 20:33:57umoqniersetmessages: + msg352493
2019-09-15 20:06:51umoqniersetnosy: + umoqnier
2019-08-21 11:34:08eric.smithsetnosy: + eric.smith
messages: + msg350069

keywords: + newcomer friendly
stage: needs patch
2019-08-21 11:28:42lrnormie@gmail.comcreate